services:
  miner-network:
    container_name: webchaind
    volumes:
      - type: bind
        source: /opt/miner/docker/secrets
        target: /tmp/docker
    ports:
      - "39573:39573"
    build:  
      context: .
      dockerfile: webchaind-Dockerfile
  pool:
    container_name: mintme-pool-test
    volumes: 
    - type: bind
      source: /opt/miner/docker/secrets
      target: /tmp/docker
    ports:
      - "8080:8080"
      - "3333:3333"
    build:  
      context: .
      dockerfile: mintme-pool-Dockerfile
  redis:
    image: redis
  nginx:
    container_name: nginx
    volumes:
      - type: bind
        source: /opt/miner/docker/secrets
        target: /tmp/docker
    ports:
    - "80:80"      
    build:
      context: .
      dockerfile: nginx-Dockerfile 
  miner:
    container_name: miner
    volumes:
      - type: bind
        source: /opt/miner/docker/secrets
        target: /tmp/docker
    build:
      context: .
      dockerfile: miner-Dockerfile
